	ini = ";Let's hspboy! Test ver. 2"

#include "hspboy.as"
#include "lhspboyini.as"

	screen 0,389,288,0,px,py : title "Let's hspboy! [x1]" : cls 4 : gsel 0,1 : objmode 1
	color 26,216,86 : boxf 321,0,391,288
	objsize 65,21 : waitchi = 4
	pos 323,1 : button "Load ROM",*rom
	pos 323,26 : button "Reset",*reset
	pos 323,48 : button "Pause",*pause
	pos 323,98 : combox fs,50," F.S. 0\n F.S. 1\n F.S. 2\n F.S. 3\n F.S. 4\n F.S. 5\n F.S. 6\n F.S. 7\n F.S. 8\n F.S. 9\n F.S. 10"
	pos 323,119 : combox waitchi,50," Wait 0\n Wait 4\n Wait 8\n Wait 12\n Wait 16\n Wait 20"
;	pos 323,147: button "Sound",*sound
	pos 323,176 : combox slot,70," Slot 0\n Slot 1\n Slot 2\n Slot 3\n Slot 4\n Slot 5\n Slot 6\n Slot 7\n Slot 8\n Slot 9"
	pos 323,197: button "Save",*save
	pos 323,219 : button "Load",*load
	pos 323,244 : button "About",*infor
	pos 323,266 : button "Exit",*lhspboyexit
	objsize 32,21
	pos 323,73 : button "x1",*size1
	pos 356,73 : button "x2",*size2
	objmode 2 : font "Times New Roman",30,22
	pos 35,112 : color 150,80,250 : print "Welcome to hspboy!!"
	gb_init : gb_vid_setpos 80,72,160,144
	sNo = 0 : onkey *fkey : onexit *lhspboyexit : stop

*fkey
	if iparam = 27 : goto *lhspboyexit
	if iparam = 112 : goto *sound
	if gb = 1 : objsel 0 : goto *emu_start : else : stop

*rom
	gb_stop : chdir pass
	dialog "gb;*.gbc",16,"GB ROM Image" : pass = curdir
	if stat = 0 : if gb = 1 : goto *emu_start : else : stop 
	pos 35,112 : color 0,0,0 : print "Welcome to hspboy!!"
	gb_loadrom refstr : goto *emu_start
*emu_start
	gb_start : gb = 1
*emu_loop
	if waitchi = 0 : waitchi = 0 : else : if waitchi = 1 : waitchi = 4
	if waitchi = 2 : waitchi = 8 : else : if waitchi = 3 : waitchi = 12
	if waitchi = 4 : waitchi = 16 : else : if waitchi = 5 : waitchi = 20
	gb_setskip fs : gb_run_frame : await waitchi : goto *emu_loop

*reset
	if gb = 1 : gb_reset : goto *emu_start
*pause
	if gb = 1 : if ps = 0 : gb_stop : objprm 2,"Start" : ps = 1 : stop
	if gb = 1 : if ps = 1 : gb_start : objprm 2,"Pause" : ps = 0 : goto *emu_start
	pa = 0 : stop

*size1
	sNo = 0
;	if gb = 1 : color 0,0,0 : boxf 0,0,320,288
	gb_stop : gb_vid_setpos 80,72,160,144 : title "Let's hspboy! [x1]"
	if gb = 1 : goto *emu_start : else : stop
*size2
	sNo = 1
	gb_stop : gb_vid_setpos 0,0,320,288 : title "Let's hspboy! [x2]"
	if gb = 1 : goto *emu_start : else : stop

*sound
	if gb = 1 : if sd = 0 : gb_snd_close : sd = 1 : goto *emu_start
	if gb = 1 : if sd = 1 : gb_snd_open : sd = 0 : goto *emu_start
	stop

*save
	if gb = 1 : gb_savestate slot : goto *emu_start
*load
	if gb = 1 : gb_loadstate slot : goto *emu_start
	stop

*infor
	dialog "\n    Let's hspboy!  Test ver. 2\n\n      Copyright(C) 2001 Kpan\nHSP plugin hspboy.dll by C.John\n",0,"About"
	if gb = 1 : goto *emu_start : else : stop

*lhspboyexit
	if gb = 1 : gb_stop
	gosub *saveini : end